<%@taglib uri="http://java.sun.com/jsf/core" prefix="f" %>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <title>List Customer</title>
</head>
<f:view>
    <h:messages style="color: green" layout="table"/>
    <h1>Listing Customers</h1>
    <h:form>
        <h:dataTable value='#{customer.customers}' var='item' border="1" cellpadding="2" cellspacing="0">
            <h:column>
                <f:facet name="header">
                    <h:outputText value="CustomerId"/>
                </f:facet>
                <h:commandLink action="#{customer.detailSetup}">
                    <f:param name="customerId" value="#{item.customerId}"/>
                    <h:outputText value="#{item.customerId}"/>
                </h:commandLink>
            </h:column>
            <h:column>
                <f:facet name="header">
                    <h:outputText value="Zip"/>
                </f:facet>
                <h:outputText value="#{item.zip}"/>
            </h:column>
            <h:column>
                <f:facet name="header">
                    <h:outputText value="Name"/>
                </f:facet>
                <h:outputText value="#{item.name}"/>
            </h:column>
            <h:column>
                <f:facet name="header">
                    <h:outputText value="Addressline1"/>
                </f:facet>
                <h:outputText value="#{item.addressline1}"/>
            </h:column>
            <h:column>
                <f:facet name="header">
                    <h:outputText value="Addressline2"/>
                </f:facet>
                <h:outputText value="#{item.addressline2}"/>
            </h:column>
            <h:column>
                <f:facet name="header">
                    <h:outputText value="City"/>
                </f:facet>
                <h:outputText value="#{item.city}"/>
            </h:column>
            <h:column>
                <f:facet name="header">
                    <h:outputText value="State"/>
                </f:facet>
                <h:outputText value="#{item.state}"/>
            </h:column>
            <h:column>
                <f:facet name="header">
                    <h:outputText value="Phone"/>
                </f:facet>
                <h:outputText value="#{item.phone}"/>
            </h:column>
            <h:column>
                <f:facet name="header">
                    <h:outputText value="Fax"/>
                </f:facet>
                <h:outputText value="#{item.fax}"/>
            </h:column>
            <h:column>
                <f:facet name="header">
                    <h:outputText value="Email"/>
                </f:facet>
                <h:outputText value="#{item.email}"/>
            </h:column>
            <h:column>
                <f:facet name="header">
                    <h:outputText value="CreditLimit"/>
                </f:facet>
                <h:outputText value="#{item.creditLimit}"/>
            </h:column>
            <h:column>
                <f:facet name="header">
                    <h:outputText value="DiscountCode"/>
                </f:facet>
                <h:outputText value="#{item.discountCode}"/>
            </h:column>
            <h:column>
                <h:commandLink action="#{customer.destroy}" onclick="return confirm('Are you sure?');">
                    <f:param name="customerId" value="#{item.customerId}"/>
                    <h:outputText value='Destroy'/>
                </h:commandLink>
                <h:outputText value=" "/>
                <h:commandLink action="#{customer.editSetup}">
                    <f:param name="customerId" value="#{item.customerId}"/>
                    <h:outputText value='Edit'/>
                </h:commandLink>
            </h:column>
        </h:dataTable>
        <h:commandLink action="#{customer.createSetup}">
            <h:outputText value="New Customer"/>
        </h:commandLink>
    </h:form>
</f:view>